:-dynamic and_bool/3, or_bool/3, agr_notBool/2.

member(0).
member(1).
members([0,1]).

bot(0).
top(1).

leq(0,1).
leq(X,X).

and_bool(0,0,0).
and_bool(0,1,0).
and_bool(1,0,0).
and_bool(1,1,1).

or_bool(0,0,0).
or_bool(0,1,1).
or_bool(1,0,1).
or_bool(1,1,1).

agr_notBool(0,1).
agr_notBool(1,0).